#2019 closed defect (wontfix)

ARM EABI tool chain breaks XDR library

Reported by: Sebastian Huber Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: tool/gcc Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The standard ARM EABI configuration uses short enums by default. This means the enums have a varying integer type depending on its values. This breaks the xdr_enum() function. The so called ARM ELF configuration in GCC uses fixed int size enums. Linux seems to have faced similar problems and defines a ARM_ABI_AAPCS_LINUX ABI variant which leads to int-sized enums by default. We should use this also for RTEMS.

I will test this and provide a patch afterward (will take some time).

Change History (4)

comment:1 Changed on Apr 23, 2012 at 11:53:52 AM by Sebastian Huber

Resolution: wontfix
Status: newclosed

The solution is to fix the XDR library.

comment:2 Changed on Nov 22, 2014 at 12:34:57 PM by Gedare Bloom

Milestone: 4.11

comment:3 Changed on Nov 23, 2014 at 3:50:06 PM by Gedare Bloom

Version: unknown4.11

Set version based on title name, these seem obviously to only affect 4.11

comment:4 Changed on Oct 10, 2017 at 5:58:26 AM by Sebastian Huber

Component: GCCtool/gcc
Note: See TracTickets for help on using tickets.